query-pr(1)

NAME
query-pr - query problem reports in the GNATS database

SYNOPSIS
query-pr
    [ -c category | --category=category ]
    [ -s state | --state=state ]
    [ -r responsible | --responsible=responsible ]
    [ -S submitter | --submitter=submitter ]
    [ -x | --skip-closed ]
    [ -C [yes|no] | --confidential[=yes|no] ]
    [ -e severity | --severity=severity ]
    [ -p priority | --priority=priority ]
    [ -y synopsis | --synopsis=synopsis ]
    [ -L class | --class=class ]
    [ -A release | --release=release ]
    [ -O name | --originator=name ]
    [ -t text | --text=text ]
    [ -m text | --multitext=text ]
    [ -b date | --arrived-before=date ]
    [ -a date | --arrived-after=date ]
    [ -R | --restricted ] [ -E | --entire ]
    [ -F | --full ] [ -q | --summary ] [ -i | --sql ]
    [ -d directory | --directory=directory ]
    [ -o outfile | --output=outfile ]
    [ -j | --list-categories ] [ -k | --list-responsible ]
    [ -l | --list-submitters ] [ -P | --print-path ]
    [ -V | --version ] [ -h | --help ]
    [ gnats-id ... ]

DESCRIPTION
Queries the GNATS database according to options and displays Problem Reports on standard output.

All options are connected with a logical AND. For example,
    query-pr --category=category --responsible=responsible
only prints PRs which have a >Category: field of category and a >Responsible: field of responsible.

OPTIONS

-c category, --category=category
    Search only for PRs with a >Category: field of category.

-s state, --state=state
    Search only for PRs with a >State: field of state.

-x, --skip-closed
    Search only for PRs in states other than closed.

-r responsible, --responsible=responsible
    Search only for PRs with a >Responsible: field of responsible.

-S submitter, --submitter=submitter
    Search only for PRs with a >Submitter-Id: field of submitter.

-C [yes|no], --confidential[=yes|no]
    Search only for PRs with a >Confidential: field of either yes or no, respectively. If this option is not given, all PRs will be eligible for the search, regardless of their confidentiality.

-e severity, --severity=severity
    Search only for PRs with a >Severity: field of severity.

-p priority, --priority=priority
    Search only for PRs with a >Priority: field of priority.

-y synopsis, --synopsis=synopsis
    Search only for PRs with a >Synopsis: field of synopsis.

-L class, --class=class
    Search only for PRs with a >Class: field of class.

-A release, --release=release
    Search only for PRs with a >Release: field of release.

-O name, --originator=name
    Search for name in the >Originator: field of each PR. name need only be enough to uniquely identify the person. For example, to find "Steve Williams" you could use a name of "Steve W". Use another search option (e.g. --state ), to speed the search. Using -O by itself can be slow with a large database. You must enclose the name with double-quotes to make sure your shell passes it as a single string, and not as separate arguments to query-pr.

-t text, --text=text
    Search single-line text fields in all PRs for the regular expression text.

-m text, --multitext=text
    Search multiple-line text fields in all PRs for the regular expression text.

-b date, --arrived-before=date

-a date, --arrived-after=date
    Find all PRs that came before or after a certain date.

-R, --restricted
    Omit from the search any PR marked >Confidential: yes. This is equivalent to specifying --confidential=no. This also disallows the use of the options
    --outfile=outfile and --directory=directory.

-F, --full
    Prints the full Problem Report rather than just a summary.

-q, --summary
    Give a short summary line for PRs.

-i, --sql
    Prints data in a format readable by a relational database (see the GNATS manual Keeping Track for a full explanation).

-j, --list-categories
    Prints a list of all categories in the GNATS system.

-k, --list-responsible
    Prints a list of all responsible names in the GNATS system.

-l, --list-submitters
    Prints a list of all submitters in the GNATS system.

-P, --print-path
    Print the path used to find each PR.

-d directory, --directory=directory
    Changes the search directory to directory.

-o outfile, --output=outfile
    Print all output to outfile rather than to the standard output.

-V, --version
    Prints the version number of query-pr.

-h, --help
    Prints a brief usage summary.

QUERY BY MAIL
query-pr can also be accessed by electronic mail, if your version of GNATS is configured for this. To use this feature, simply send mail to the address query-pr@your-site with command line arguments or options in the Subject: line of the mail header. GNATS replies to your mail with the results of your query. The default settings for the query-pr mail server are shown below; to override the --state parameter, specify --state=state in the Subject: line of the mail header. You can not query on confidential Problem Reports by mail.

--restricted --state="open|analyzed|feedback|suspended"

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info) and Reporting Problems Using send-pr (also installed as the GNU Info file send-pr.info).

gnats(l), send-pr(1), edit-pr(1), file-pr(8), queue-pr(8), nquery-pr(1), mkcat(8), rmcat(8), gen-index(8), mkdist(8).

COPYING
Copyright (c) 1993, 94, 95, 96, 1997 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.